Subject: 'git pull' fails with 'not uptodate' message despite 'git reset --hard'

From: Jody McIntyre <[email-masked]>
Date: Tue, 28 Jul 2009 19:08:43 -0400

I am attempting to update my kernel tree but getting a 'not uptodate' error:

$ git fetch origin
[...]
$ git pull origin tags/v2.6.31-rc4
>From git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6
 * tag               v2.6.31-rc4 -> FETCH_HEAD
Updating 6847e15..4be3bd7
error: Entry 'CREDITS' not uptodate. Cannot merge.

'git diff' shows no changes, and neither 'git reset --hard' nor
'git checkout -f HEAD' fix the issue.  Simple 'git pull' doesn't work either:

$ git diff CREDITS
$ git reset --hard
Checking out files: 100% (27891/27891), done.
HEAD is now at 6847e15 Linux 2.6.31-rc3
$ git pull origin tags/v2.6.31-rc4
>From git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6
 * tag               v2.6.31-rc4 -> FETCH_HEAD
Updating 6847e15..4be3bd7
error: Entry 'CREDITS' not uptodate. Cannot merge.
$ git checkout -f HEAD
Checking out files: 100% (29096/29096), done.
Your branch is behind 'origin/master' by 484 commits, and can be fast-forwarded.
$ git pull origin tags/v2.6.31-rc4
>From git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6
 * tag               v2.6.31-rc4 -> FETCH_HEAD
Updating 6847e15..4be3bd7
error: Entry 'CREDITS' not uptodate. Cannot merge.
$ git pull
Updating 6847e15..7d3e91b
error: Entry 'CREDITS' not uptodate. Cannot merge.

I use quilt with this tree but no quilt patches are currently applied and it
should be clean.  It hasn't even been built (I rsync to another machine for
that.)

According to the documentation, I believe what I'm doing should work - even if
my tree was unclean, 'git checkout -f HEAD' or 'git reset --hard' would fix it.
What am I doing wrong?

Thanks,
Jody